The patch notes for client 3.2.0 suggest that Teamspeak are dropping support for servers prior to 3.1.0. I can't link directly to the patch notes as I don't yet have enough posts, but you can find it under their announcements section on their forum.

My current Multiplay server is 3.0.13.4 and assuming that Teamspeak were to roll the update out, it would effectively leave me with a server that I could no longer connect to.

Anybody know what plans are in-place to upgrade our Server software versions?